<?php
namespace Claromentis\Core\Session;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array();
use Symfony\Component\HttpFoundation\Session\Attribute\AttributeBag;
use Symfony\Component\HttpFoundation\Session\SessionBagInterface;
class NullAttributeBagProxy implements SessionBagInterface
{
    protected $bag;
    public function __construct()
    {
        $this->bag = new AttributeBag();
    }
    
    
    
    
    
    
    public function getName()
    {
        return $this->bag->getName();
    }
    
    
    
    
    public function initialize(array &$_fd62bc4eaaf7d58dea9bada3e30443b9)
    {
        return $this->bag->initialize($_fd62bc4eaaf7d58dea9bada3e30443b9);
    }
    
    
    
    
    
    
    public function getStorageKey()
    {
        return $this->bag->getStorageKey();
    }
    
    
    
    
    
    
    public function clear()
    {
        return $this->bag->clear();
    }
    
    
    
    
    
    
    public function getBag()
    {
        return $this->bag;
    }
}